org.apache.ignite.internal.processors.datastructures

## Class VolatileAtomicDataStructureValue

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.AtomicDataStructureValue
  - - org.apache.ignite.internal.processors.datastructures.VolatileAtomicDataStructureValue

All Implemented Interfaces:
  Externalizable, Serializable, GridCacheInternal

Direct Known Subclasses:
  GridCacheCountDownLatchValue, GridCacheLockState, GridCacheSemaphoreState

    public abstract class VolatileAtomicDataStructureValue
    extends AtomicDataStructureValue

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VolatileAtomicDataStructureValue()`

### Method Summary

Methods
`abstract long` `gridStartTime()`

### Methods inherited from class org.apache.ignite.internal.processors.datastructures.AtomicDataStructureValue

`type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.Externalizable

`readExternal, writeExternal`

### Constructor Detail

#### VolatileAtomicDataStructureValue

    public VolatileAtomicDataStructureValue()

### Method Detail

#### gridStartTime

    public abstract long gridStartTime()

Returns:
  Grid start time.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017